Yes it does. For that the Barix devices needs the ABCL SIP Client firmware loaded. You can download it from the Download section of Barix website [1].